<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.AisDatabaseMapper">

    <select id="queryDeviceStatic" resultType="java.util.Map">
        select Category point, count(1) count
        from sem_instrument_test
        group by Category;
    </select>

    <select id="queryDeviceCount" resultType="java.lang.Integer">
        select count(1)
        from sem_instrument_test
    </select>
</mapper>